
// RTxMGCDlg.h : header file
//

#pragma once
#include <Xinput.h>
// #include "gamepad.h"

// CRTxMGCDlg dialog
class CRTxMGCDlg : public CDialogEx
{
// Construction
public:
	CRTxMGCDlg(CWnd* pParent = nullptr);	// standard constructor

// Dialog Data
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_RTXMGC_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual BOOL PreTranslateMessage(MSG* pMsg);

// Implementation
protected:
	HICON m_hIcon;
	BOOL Freeze;
	CString str0; 
	WORD timeout[16], buttons[16];
	DWORD packet_num;
//	Gamepad gpad;
	int gpadId, loop;
	XINPUT_STATE XBox_state;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	void OnTimer(UINT_PTR uID);
	
	bool CheckConnection();
	bool ButtonRefresh();
	void XBoxButtonPressed(int bnum);
	
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBnClickedButtonFreeze();
	afx_msg void OnBnClickedButtonAll();
	afx_msg void OnBnClickedButtonG1();
	afx_msg void OnBnClickedButtonG2();
	afx_msg void OnBnClickedButtonG3();
	afx_msg void OnBnClickedButtonG4();
	afx_msg void OnBnClickedButtonGp();
	DECLARE_MESSAGE_MAP()
public:
};
